#!/usr/bin/php
<?php
include 'bitninja-class.php';
$result = shell_exec('perl '.__DIR__.'/bitninja-get-params.pl');
    if ($result == 'bitninja.start') {
        Bitninja::start();
        sleep(3);
        $isRun = true;
    } else if ($result == 'bitninja.stop') {
        Bitninja::stop();
        sleep(10);
        $isRun = false;
    }else{
        $isRun = Bitninja::isRun();
    }
    if($isRun){
        $logs = Bitninja::getAndBuildLogs();
    }
    ?>
<?='<?xml version="1.0" encoding="UTF-8"?>'?>
<doc lang="en" func="bitninja">
    <metadata name="bitninja" type="list" key="name" mgr="ispmgr"> 
    <toolbar view="buttontext"> 
        <toolgrp name="new"> 
        <?php if(!$isRun){?>
            <toolbtn name="start" func="bitninja.start" type="new" img="t-start" sprite="yes"/>
        <?php } else{?>
            <toolbtn name="stop" func="bitninja.stop" type="new" img="t-stop" sprite="yes"/>
        <?php }?>
        </toolgrp>
    </toolbar>
    <?php if($isRun){?>
    <coldata> 
        <col type="data" name="timezone" sort="alpha" level="reseller+"/> 
        <col type="data" name="date" sort="alpha" level="reseller+"/> 
        <col type="data" name="module" sort="alpha" level="reseller+"/> 
        <col type="data" name="message" sort="alpha" level="reseller+"/> 
    </coldata> 
    <?php }?>
    </metadata> 
    <messages name="myfunc" checked="6b49a92f5cc5153c76b78446d0d74eb4">
        <msg name="hint_timezone">Timezone</msg>
        <msg name="timezone" added="common">Timezone</msg>
        <msg name="hint_date">Date</msg>
        <msg name="date" added="common">Date</msg>
        <msg name="hint_message">Message</msg>
        <msg name="message" added="common">Message</msg>
        <msg name="hint_module">Module</msg>
        <msg name="module" added="common">Module</msg>
        <msg name="short_new" added="common">Add</msg>
        <msg name="short_delete" added="common">Delete</msg>
        <msg name="hint_delete" added="common">Delete</msg>
        <msg name="hint_new" added="common">Add</msg>
        <msg name="hint_export">Save in CSV</msg>
        <msg name="hint_selectall">Select all list elements</msg>
        <msg name="hint_reloadlist">Update data</msg>
        <msg name="hint_print">Print version</msg>
        <msg name="hint_autoupdate_stop">Disable auto-update for current list</msg>
        <msg name="hint_takefavorite">Add to Favorites</msg>
        <msg name="hint_takeunfavorite">Delete from Favorites</msg>
        <msg name="hint_help">Go to the Documentation page</msg>
        <msg name="msg_tsetting">Table settings</msg>
        <msg name="title">BitNinja (<?= Bitninja::getVersion() ?>)</msg>
        <msg name="short_start" added="common">Start</msg>
        <msg name="hint_start" added="common">Start</msg>
        <msg name="short_stop" added="common">Stop</msg>
        <msg name="hint_stop" added="common">Stop</msg>
    </messages>
    <?php if($isRun){
    foreach($logs as $log){ ?>
    <elem>
        <timezone color='<?=$log['color']?>'><?=$log['timezone']?></timezone>
        <date color='<?=$log['color']?>'><?=$log['date']?></date>
        <module color='<?=$log['color']?>'><?=$log['module']?></module>
        <message color='<?=$log['color']?>'><?=$log['message']?></message>
    </elem>
        <?php }
    }?>
    <p_num>1</p_num>
    <p_elems><?=count($logs);?></p_elems>

</doc>